Bug 16252 - cut not available if /usr is a NFS filesystem
Summary: cut not available if /usr is a NFS filesystem
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ipchains (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-15 15:20 UTC by Michael Redinger
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-16 17:13:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Redinger 2000-08-15 15:20:54 UTC
ipchains is started before the network comes up and therefore before NFS
filesystems are started. Well, that's how it should/must be. However, the
ipchains startup script uses /usr/bin/cut which is not yet available if
/usr is a NFS filesystem.

Comment 1 Nalin Dahyabhai 2000-08-15 20:09:21 UTC
Fixed in ipchains-1.3.9-15.  Thanks!

Comment 2 Tim Waugh 2000-08-16 17:13:55 UTC
The sed scripts need more work though:

# service ipchains start
/etc/init.d/ipchains: [: 16-21: integer expression expected

How about:

KERNELMIN=`uname -r | sed 's,.*\.\([0-9]\+\)\(-.*\)\?,\1,g'`

Comment 3 Nalin Dahyabhai 2000-08-16 18:40:54 UTC
Er, yeah.  Fixed (really, I mean it this time) in ipchains-1.3.9-16.


Note You need to log in before you can comment on or make changes to this bug.